Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-32757

X-UA-Compatible meta tag needed for intranet environments to ensure Portal's browser support.

    Details

    • Type: Bug
    • Status: Closed
    • Resolution: Fixed
    • Affects Version/s: 6.1.1 CE GA2, 6.1.20 EE GA2
    • Labels:
    • Environment:
      Tomcat 7 + HSQL. Portal 6.2.x GIT ID: 35cd0f79c729ad527ac71f3c18e4b0102dc9deb8
      Tomcat 7 + HSQL. Portal 6.1.x EE GIT ID: bf94fddd8d4cd00bd87d2057631239d9062d73fa
      IE 8, 9

      Description

      NOTE: This ticket depends on AUI-817, to function properly.

      As a Portal developer, in an intranet environment, I need IE 8 & 9 to behave in a consistent manor, regardless of my group policy settings.

      To ensure consistent behavior, IE needs a special meta tag to be present in the <head> of the request.

      <head>
        <title>Site Title</title>
        <meta http-equiv="X-UA-Compatible" content="IE=9">
      ...
      

      Note: We will be using 9 as it is the highest current version we test with.

      Should this be a portal.properties setting? To allow for easy environment customization.

      #something.ie-compatibility=9
      something.ie-compatibility=edge
      

      References:
      http://msdn.microsoft.com/en-us/library/jj676915(v=vs.85).aspx
      http://blogs.msdn.com/b/ie/archive/2008/08/27/introducing-compatibility-view.aspx
      http://stackoverflow.com/a/9624500/218161
      http://msdn.microsoft.com/en-us/library/cc817574.aspx
      http://blogs.msdn.com/b/ie/archive/2009/02/16/just-the-facts-recap-of-compatibility-view.aspx

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                sophia.zhang Sophia Zhang
                Reporter:
                byran.zaugg Byran Zaugg (Inactive)
                Participants of an Issue:
                Recent user:
                Esther Sanz
              • Votes:
                1 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Days since last comment:
                  6 years, 31 weeks, 4 days ago

                  Packages

                  Version Package
                  6.1.2 CE GA3
                  6.1.30 EE GA3
                  6.2.0 CE M4